A set of games between two players

### Hierarchy

- Match
  - DoubleEliminationMatch

## Index

### Constructors

- constructor

### Properties

- events
- games
- options
- players
- stats
- uuid

### Methods

- getStats
- playGames
- toString

## Constructors

### constructor

- new Match(players: Player[], options: IMatchOptions, events: ITournamentEvents): Match

- - Defined in tournament/match/Match.ts:17

  #### Parameters

  - ##### players: Player[]

  - ##### options: IMatchOptions

  - ##### events: ITournamentEvents

  #### Returns Match

## Properties

### Private events

events: ITournamentEvents

- Defined in tournament/match/Match.ts:19

### games

games: Game[]

- Defined in tournament/match/Match.ts:16

### options

options: IMatchOptions

- Defined in tournament/match/Match.ts:19

### players

players: Player[]

- Defined in tournament/match/Match.ts:19

### stats

stats: State

- Defined in tournament/match/Match.ts:17

### uuid

uuid: string

- Defined in tournament/match/Match.ts:15

## Methods

### getStats

- getStats(): object

- - Defined in tournament/match/Match.ts:65

  #### Returns object

  - ##### players: object[]

  - ##### stats: State

  - ##### uuid: string

### playGames

- playGames(): Promise<void>

- - Defined in tournament/match/Match.ts:41

  Play all the games in this match

  #### Returns Promise<void>

### toString

- toString(): string

- - Defined in tournament/match/Match.ts:75

  #### Returns string

Generated using TypeDoc